ipa/bmp.h File Reference

Main Page Alphabetical List Data Structures File List Data Fields Globals

# bmp.h File Reference

## Functions

void | wmf_ipa_bmp_b64 (wmfAPI *API, wmfBMP_Draw_t *bmp_draw, wmfStream *out)
void | wmf_ipa_bmp_png (wmfAPI *API, wmfBMP_Draw_t *bmp_draw, char *name)
void | wmf_ipa_bmp_jpg (wmfAPI *API, wmfBMP_Draw_t *bmp_draw, char *name)
void | wmf_ipa_bmp_eps (wmfAPI *API, wmfBMP_Draw_t *bmp_draw, char *name)
void | wmf_ipa_bmp_read (wmfAPI *API, wmfBMP_Read_t *bmp_read)
void | wmf_ipa_bmp_free (wmfAPI *API, wmfBMP *bmp)
wmfBMP | wmf_ipa_bmp_copy (wmfAPI *API, wmfBMP *bmp, unsigned int width, unsigned int height)
int | wmf_ipa_bmp_color (wmfAPI *API, wmfBMP *bmp, wmfRGB *rgb, unsigned int x, unsigned int y)
int | wmf_ipa_bmp_interpolate (wmfAPI *API, wmfBMP *bmp, wmfRGB *rgb, float x, float y)
void | wmf_ipa_bmp_setcolor (wmfAPI *API, wmfBMP *bmp, wmfRGB *rgb, unsigned char opacity, unsigned int x, unsigned int y)

## Function Documentation

void wmf_ipa_bmp_b64 | ( | wmfAPI * | API,
|  | wmfBMP_Draw_t * | bmp_draw,
|  | wmfStream * | out
| ) |

int wmf_ipa_bmp_color | ( | wmfAPI * | API,
|  | wmfBMP * | bmp,
|  | wmfRGB * | rgb,
|  | unsigned int | x,
|  | unsigned int | y
| ) |

wmfBMP wmf_ipa_bmp_copy | ( | wmfAPI * | API,
|  | wmfBMP * | bmp,
|  | unsigned int | width,
|  | unsigned int | height
| ) |

void wmf_ipa_bmp_eps | ( | wmfAPI * | API,
|  | wmfBMP_Draw_t * | bmp_draw,
|  | char * | name
| ) |

void wmf_ipa_bmp_free | ( | wmfAPI * | API,
|  | wmfBMP * | bmp
| ) |

int wmf_ipa_bmp_interpolate | ( | wmfAPI * | API,
|  | wmfBMP * | bmp,
|  | wmfRGB * | rgb,
|  | float | x,
|  | float | y
| ) |

void wmf_ipa_bmp_jpg | ( | wmfAPI * | API,
|  | wmfBMP_Draw_t * | bmp_draw,
|  | char * | name
| ) |

void wmf_ipa_bmp_png | ( | wmfAPI * | API,
|  | wmfBMP_Draw_t * | bmp_draw,
|  | char * | name
| ) |

void wmf_ipa_bmp_read | ( | wmfAPI * | API,
|  | wmfBMP_Read_t * | bmp_read
| ) |

void wmf_ipa_bmp_setcolor | ( | wmfAPI * | API,
|  | wmfBMP * | bmp,
|  | wmfRGB * | rgb,
|  | unsigned char | opacity,
|  | unsigned int | x,
|  | unsigned int | y
| ) |